(function() {
    
    var app = angular.module('elionApp', ['xeditable', 'ngRoute']);
    
    app.config(function($routeProvider) {
        $routeProvider
            .when('/', {
                controller:'OverviewController',
                templateUrl: 'app/views/overview.html'
            })
            .when('/karte/:EID', {
                controller: 'karteController',
                templateUrl: 'app/views/karte.html'
            })
            .when('/einsatz/:EID', {
                controller: 'einsatzController',
                templateUrl: 'app/views/einsatz.html'
            })
            .when('/einsatz', {
                controller: 'einsatzController',
                templateUrl: 'app/views/einsatz.html'
            })
            .when('/meldungen/:EID', {
                controller: 'meldungenController',
                templateUrl: 'app/views/meldungen.html'
            })
            .when('/meldungen', {
                controller: 'meldungenController',
                templateUrl: 'app/views/meldungen.html'
            })
            .when('/personal/:EID', {
                controller: 'personalController',
                templateUrl: 'app/views/personal.html'
            })
            .when('/personal', {
                controller: 'personalController',
                templateUrl: 'app/views/personal.html'
            })

            .otherwise( { redirectTo: '/' } );
    });

        app.run(function(editableOptions) {
        editableOptions.theme = 'bs3'; // bootstrap3 theme. Can be also 'bs2', 'default'
    });

}());