(function() {
    
    var einsatzController = function($scope, $log, $routeParams, elionFactory, Current) {
        var EID = $routeParams.EID;
        $scope.Current = Current;
        if (typeof $routeParams.EID === 'undefined')
        {
            EID = Current.EID;
        } else {
            Current.EID = EID;
        }

        $log.log("Einsatzcontroller");
        function init() {
             elionFactory.getEinsatz(EID)
                 .success(function(einsatz) {
                $scope.einsatz = einsatz;
                elionFactory.storeEinsatz(einsatz);   
                 Current.EID = EID;
                    Current.EinsatzInfo = einsatz.Stichwort + ', ' + einsatz.Ort + ', ' + einsatz.Strasse + ' ' + einsatz.Hausnummer;

                })
                .error(function(data, status, headers, config) {
                    //handle error
                 $log.log(data.error + ' ' + status);
                });
        }        
        init();

        $scope.updateEinsatz = function(typ, wert) {
            elionFactory.postEinsatz(EID, typ, wert) 
            .then(function(ergebnis) {
            $log.log("Einsatzcontroller:UpdEinsatz" + ergebnis );
                elionFactory.storeEinsatz($scope.einsatz);   
                return (ergebnis);
            }, function(data, status, headers, config) {
                    //handle err or
                 $log.log(data.error + ' ' + status);
                return ("Fehler " + status);
                });
        };


    };
    
    einsatzController.$inject = ['$scope', '$log', '$routeParams', 'elionFactory', 'Current'];

    angular.module('elionApp')
      .controller('einsatzController', einsatzController);
    
}());