(function() {
    
    var meldungenController = function($scope, $log, $routeParams, elionFactory, Current) {
        var EID = $routeParams.EID;
        $scope.meldungen = [];
        $scope.einsatz = elionFactory.einsatz;
        $scope.Current = Current;
        if (typeof $routeParams.EID === 'undefined')
        {
            EID = Current.EID;
        } else {
            Current.EID = EID;
        }
        $log.log("MeldungenController" + EID );
        function init() {
             elionFactory.getMeldungen(EID)
                 .success(function(meldungen) {
                    $scope.meldungen = meldungen;
                // $scope.einsatz = elionFactory.recallEinsatz();
                })
                .error(function(data, status, headers, config) {
                    //handle error
                 $log.log(data.error + ' ' + status);
                });
        }        
        
        init();
    };
    
    meldungenController.$inject = ['$scope', '$log', '$routeParams', 'elionFactory', 'Current'];

    angular.module('elionApp')
      .controller('meldungenController', meldungenController);
    
}());